pdf2swf(1)

NAME
pdf2swf - Converts Acrobat PDF files into Flash SWF Animation files.

Synopsis
pdf2swf [-options] file.pdf -o file.swf

DESCRIPTION
Converts a PDF file to a SWF file.

OPTIONS

-h, --help
        Print short help message and exit

-V, --version
        Print version info and exit

-o, --output file.swf
        will go into a seperate file.

-p, --pages range
        3-5,10-12

-P, --password password
        Use password for deciphering the pdf.

-v, --verbose
        Be verbose. Use more than one -v for greater effect.

-z, --zlib
        The resulting SWF will not be playable in browsers with Flash Plugins 5 and below!

-i, --ignore
        SWF files a little bit smaller, but it may also cause the images in the pdf to look funny.

-j, --jpegquality quality
        Set quality of embedded jpeg pictures to quality. 0 is worst (small), 100 is best (big). (default:85)

-s, --set param=value
        Set a SWF encoder specific parameter. See pdf2swf -s help for more information.

-w, --samewindow
        When clicked on, the page they point to will be opened in the window the SWF is displayed.

-t, --stop
        The resulting SWF file will not turn pages automatically.

-T, --flashversion num
        Set Flash Version in the SWF header to num.

-F, --fontdir directory
        Add directory to the font search path.

-b, --defaultviewer
        Therefore the swf file will be "browseable", i.e. display some buttons for turning pages.
        The viewer swf to be used is determined by a symlink named "default_viewer.swf" in
        the swftools data directory.

-l, --defaultloader
        The loader swf to be used is determined by a symlink named "default_loader.swf" in
        the swftools data directory.

-B, --viewer filename
        See http://www.quiss.org/swftools/pdf2swf_usage.html for information on how to create your own viewers.

-L, --preloader filename
        filename is an arbitrary swf animation.

-q, --quiet
        Suppress normal messages. Use -qq to suppress warnings, also.

-S, --shapes
        Don't use SWF Fonts, but store everything as shape.

-f, --fonts
        Store full fonts in SWF. (Don't reduce to used characters).

-G, --flatten
        This usually makes the file faster to render and also usually smaller, but will increase
        conversion time.

-I, --info
        Don't do actual conversion, just display a list of all pages in the PDF.

-Q, --maxtime n
        Abort conversion after n seconds. Only available on Unix.